Name:		pjproject
Version:	1.12
Release:	2%{?dist}
Summary:	Libraries written in C language for building embedded/non-embedded VoIP applications

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://www.pjsip.org
Source0:	http://www.pjsip.org/release/%{version}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}_fix_libdir.patch
Patch1:		%{name}-%{version}-use-system-srtp.patch

BuildRequires:	alsa-lib-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRequires:	gsm-devel
BuildRequires:	portaudio-devel
BuildRequires:	libsrtp-devel

%description
This package provides the Open Source, comprehensive, high
performance, small footprint multimedia communication libraries written in C
language for building embedded/non-embedded VoIP applications. 
It contain:
- PJSIP - Open Source SIP Stack
- PJMEDIA - Open Source Media Stack
- PJNATH - Open Source NAT Traversal Helper Library
- PJLIB-UTIL - Auxiliary Library
- PJLIB - Ultra Portable Base Framework Library

%package	devel
Summary:	Development files to use pjproject
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-static = %{version}-%{release}

%description devel
Header information for:
- PJSIP - Open Source SIP Stack
- PJMEDIA - Open Source Media Stack
- PJNATH - Open Source NAT Traversal Helper Library
- PJLIB-UTIL - Auxiliary Library
- PJLIB - Ultra Portable Base Framework Library


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .system


%build
%configure --with-external-speex --with-external-gsm --with-external-pa --libdir=%{_libdir}
make dep
make clean
make # cannot use %{?_smp_mflags}, the package will not build if used


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%files devel
%doc COPYING README.txt README-RTEMS INSTALL.txt
%{_libdir}/*.a
%{_includedir}/pj++/
%{_includedir}/pj/
%{_includedir}/pjlib-util/
%{_includedir}/pjmedia-audiodev/
%{_includedir}/pjmedia-codec/
%{_includedir}/pjmedia/
%{_includedir}/pjnath/
%{_includedir}/pjsip-simple/
%{_includedir}/pjsip-ua/
%{_includedir}/pjsip/
%{_includedir}/pjsua-lib/
%{_includedir}/*.h
%{_includedir}/*.hpp
%{_libdir}/pkgconfig/libpjproject.pc


%changelog
* Mon Apr 16 2012 Mario Santagiuliana <fedora@marionline.it> - 1.12-2
- fix warning mixed-use-of-spaces-and-tabs from rpmlint
- use macro name and version

* Wed Apr 11 2012 Tom Callaway <spot@fedoraproject.org> - 1.12-1
- use system copy of libsrtp

* Thu Jan 12 2012 Mario Santagiuliana <fedora@marionline.it> 1.12-0
- Update to version 1.12

* Sun Jan 08 2012 Mario Santagiuliana <fedora@marionline.it> 1.10-7
- Follow the comment of Rex Dieter:
https://bugzilla.redhat.com/show_bug.cgi?id=728302#c17

* Sat Jan 07 2012 Mario Santagiuliana <fedora@marionline.it> 1.10-6
- Follow the comment of Rex Dieter:
https://bugzilla.redhat.com/show_bug.cgi?id=728302#c14
https://bugzilla.redhat.com/show_bug.cgi?id=728302#c15

* Thu Dec 29 2011 Mario Santagiuliana <fedora@marionline.it> 1.10-5
- Follow the comment of Rex Dieter:
https://bugzilla.redhat.com/show_bug.cgi?id=728302#c11

* Mon Aug 15 2011 Mario Santagiulaina <fedora@marionline.it> 1.10-4
- Forgot to write changelog for 1.10-3.
- Version 1.10.3 add patch to resolve libdir issue.

* Mon Aug 15 2011 Mario Santagiulaina <fedora@marionline.it> 1.10-2
- Follow the comment of Thomas Spura:
https://bugzilla.redhat.com/show_bug.cgi?id=728302#c1

* Thu Aug 04 2011 Mario Santagiulaina <fedora@marionline.it> 1.10-1
- Initial RPM release
